Summary:	Gnome-1 support library for loading user interfaces
Name:		libglade
Epoch:		1
Version:	0.17
Release:	41%{?dist}
License:	LGPLv2+
URL:		http://www.jamesh.id.au/software/libglade/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libglade/%{version}/libglade-%{version}.tar.gz
Patch0:		libglade-0.16-fixquote.patch
Patch2:		libglade-0.17-clist-gettext.patch
Patch3:		libglade-0.17-underquoted.patch
Patch4:		libglade-0.17-non-weak-symbols.patch
Patch5:		libglade-0.17-no-local-intl.patch
Patch6:		libglade-0.17-multiarch.patch
Patch7:		libglade-0.17-cleanlibs.patch
Patch8:		libglade-aarch64.patch
BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	glibc-common
BuildRequires:	gnome-libs-devel >= 1:1.4.1.2
BuildRequires:	gtk-doc
BuildRequires:	libxml-devel >= 1:1.8.16
BuildRequires:	make
BuildRequires:	sed

%description
Libglade is a small library that allows a program to load its user interface
from am XML description at runtime. Libglade uses the XML file format used by
the GLADE user interface builder GLADE, so libglade acts as an alternative to
GLADE's code generation approach. Libglade also provides a simple interface
for connecting handlers to the various signals in the interface (on platforms
where the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short initial
interface loading time, there is no performance trade-off.

%package devel
Summary:	The files needed for libglade application development
Requires:	%{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:	gnome-libs-devel%{?_isa} >= 1:1.4.1.2
Requires:	libxml-devel%{?_isa} >= 1:1.8.16

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q
%patch0 -p1 -b .fixquote
%patch2 -p1 -b .clist-gettext
%patch3 -p1 -b .underquoted
%patch4 -p1 -b .non-weak-symbols

# Make really sure that the bundled libintl (GPL) isn't used
%patch5 -p1 -b .no-local-intl
rm -rf intl

# Patch libglade-config for multiarch compatibility (#342131)
%patch6 -p1 -b .multiarch

# Link against the libs that are needed, and only those libs
%patch7 -p1 -b .clean-libs

# Tweak config.guess and config.sub to add aarch64 support (#925741)
%patch8 -p1 -b .aarch64

# Convert docs to UTF-8
iconv -f iso-8859-1 -t utf-8 < ChangeLog > ChangeLog.utf8
mv -f ChangeLog.utf8 ChangeLog

%build
# Disable gtkdoc so we don't need an X display
export ac_cv_prog_GTKDOC=false

%configure --disable-bonobo --disable-static

# Kill bogus RPATHs
sed -i 's|^sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir}|' libtool

make

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

# Don't package libtool archives
rm %{buildroot}%{_libdir}/libglade{,-gnome}.la

%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 27)
# ldconfig scriptlets replaced by RPM File Triggers from Fedora 28
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libglade-gnome.so.*
%{_libdir}/libglade.so.*

%files devel
%doc test-libglade.c
%doc *.glade
%{_bindir}/libglade-config
%{_bindir}/libglade-xgettext
%{_includedir}/libglade-1.0/
%{_libdir}/libglade-gnome.so
%{_libdir}/libglade.so
%{_datadir}/aclocal/libglade.m4
%{_libdir}/libgladeConf.sh
%{_libdir}/pkgconfig/libglade-gnome.pc
%{_libdir}/pkgconfig/libglade.pc
%doc %{_datadir}/gnome/html/

%changelog
* Wed Feb 14 2018 Paul Howarth <paul@city-fan.org> - 1:0.17-41
- Avoid use of arch-specific build-requires (#1545194)

* Fri Feb  9 2018 Paul Howarth <paul@city-fan.org> - 1:0.17-40
- ldconfig scriptlets replaced by RPM File Triggers from Fedora 28
- Use forward-looking conditionals
- Specify all explicitly-used build requirements
- Use %%license where possible
- Drop EL-5 support
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop %%defattr, redundant since rpm 4.4

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.17-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.17-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.17-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.17-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.17-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.17-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.17-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.17-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.17-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Paul Howarth <paul@city-fan.org> 1:0.17-30
- drop workaround for "useless space in ELF output which could break libtool",
  fixed in file-5.14-2
- avoid having to run autoconf at build time

* Mon Mar 25 2013 Paul Howarth <paul@city-fan.org> 1:0.17-29
- tweak config.guess and config.sub to add aarch64 support (#925741)
- fix libtool to find library dependencies properly on x86_64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.17-28
- rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.17-27
- rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> 1:0.17-26
- nobody else likes macros for commands

* Tue Feb  8 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.17-25
- rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.17-24
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 20 2009 Paul Howarth <paul@city-fan.org> 1:0.17-23
- use an alternative approach to rpath-fixing - hacking the supplied libtool
  rather than trying to use the system one
- specify Instruction Set Architecture (%%{?_isa}) in devel package requires
- link against the libs that are needed, and only those libs

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.17-22
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Paul Howarth <paul@city-fan.org> 1:0.17-21
- rebuild with gcc 4.3.0 for Fedora 9

* Fri Oct 26 2007 Paul Howarth <paul@city-fan.org> 1:0.17-20
- clarify license as LGPL version 2 or later
- remove bundled libintl (GPL) in %%prep to be absolutely sure that it isn't
  used
- patch libglade-config to generate cflags/libs values at runtime instead of
  build-time and hence be multiarch compatible (#342131); we can get away with
  this because the entire (legacy) library stack is stable and isn't going to
  change in any significant way
- enumerate more of the %%files list to narrow scope of wildcards
- re-encode ChangeLog as UTF-8
- preserve timestamps for files copied from source to installed package

* Mon Oct  2 2006 Paul Howarth <paul@city-fan.org> 1:0.17-19
- add new buildreq libtool and use the system libtool instead of the bundled
  one to avoid /usr/lib64 rpaths
- add patch to fix non-weak-symbols issues in libglade-gnome.so
- include epoch in versioned gnome-libs-devel dependencies

* Sat Aug 26 2006 Paul Howarth <paul@city-fan.org> 1:0.17-18
- include epoch in versioned libxml-devel dependencies

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 1:0.17-17
- update URL
- add %%{?dist} tag
- remove explicit runtime library deps (rpm will generate what's needed)
- use Fedora Extras standard buildroot
- wrap description text at 80 columns
- add pkgconfig as dep of devel package
- use "make DESTDIR=%%{buildroot} install" instead of deprecated %%makeinstall
- add buildreqs autoconf, gettext, gtk-doc
- disable static libraries
- minor cosmetic spec file tweaks

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.17-16.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.17-16.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1:0.17-16
- Replace Copyright: with License:
- rebuilt with gcc4

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1:0.17-15
- Fixed underquoted m4 definition.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:0.17-12.1
- add epoch to versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Owen Taylor <otaylor@redhat.com> 1:0.17-10
- Own /usr/share/gnome/html (#73953, Enrico Scholz)

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:0.17-9
- remove buildrequires on autoconf-2.53
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- patch from Harald to call gettext on clist column titles, #63338

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment
- install .pc files, #59522
- fix more prefix/lib->libdir sort of things
- use autoconf-2.52 binary

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild for db1 stuff
- fix some prefix/lib -> libdir sort of things
- use configure/makeinstall macros
- disable gtk-doc so we don't need an X display

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- 0.17
- remove libtoolize for now to avoid running autoconf since it requires 2.52

* Mon Aug 20 2001 Jonathan Blandford <jrb@redhat.com>
- Escape strings, #51966

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- add build requires, bug #49508

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %%makeinstall, since that is required when %%configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
